I'm on debian sid, so i normally just do a "aptitude safe-upgrade".
if i do recall correctly, lately there are quite a few upgrade packages for xorg-server.

my xorg.0.log is pasted here
once again, thanks for your time on this.

i did recall trying to downgrade back to 8.4 but i run into compilation error when i do a "m-a a-i fglrx".